Web API Reference | MapGuide Open Source

- Overview
- Modules
- Classes

# MgGeometryCollection Class Reference
[MgGeometryCollection]

MgGeometryCollection provides support for defining an ordered set of geometry objects. More...

Inherits MgGuardDisposable.

List of all members.

## Public Member Functions
virtual void | Add (MgGeometry *value)
| Adds the specified object to the end of the collection.
virtual void | Clear ()
| Removes all objects from the collection.
virtual bool | Contains (const MgGeometry *value) const
| Returns true if the collection contains the specified object, false otherwise.
virtual INT32 | GetCount () const
| Gets the number of objects in the collection.
virtual MgGeometry * | GetItem (INT32 index) const
| Gets the object in the collection at the specified index. Throws an invalid argument exception if the index is out of range.
virtual INT32 | IndexOf (const MgGeometry *value) const
| Returns the index of the specified object in the collection or -1 if the object does not exist.
virtual void | Insert (INT32 index, MgGeometry *value)
| Inserts the specified object at the specified index within the collection. Items following the insertion point are moved down to accommodate the new item. Throws an invalid argument exception if the specified index is out of range.
| MgGeometryCollection ()
| Construct a MgGeometryCollection object.
virtual bool | Remove (const MgGeometry *value)
| Removes the specified object from the collection. Returns true if removal was successful.
virtual void | RemoveAt (INT32 index)
| Removes the object at the specified index from the collection. Throws an invalid argument exception if the index does not exist within the collection.
virtual void | SetItem (INT32 index, MgGeometry *value)
| Sets the object in the collection at the specified index to the specified value. Throws an invalid argument exception if the index is out of range.

## Detailed Description

MgGeometryCollection provides support for defining an ordered set of geometry objects.

Remarks:
  Unlike MgMultiGeometry an MgGeometryCollection is not considered a Geometry and hence does not derive from MgGeometry.

Comments or suggestions? Send us feedback.